Skip to main content
`Ctrl`+`K`

# NEPFunctionFn

A prototype of a `NEP` function evaluation function that would be passed to `NEPSetFunction()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode NEPFunctionFn(NEP nep,PetscScalar lambda,Mat T,Mat P,void *ctx);

## Calling Sequence

- nep - the nonlinear eigensolver context

- lambda - the scalar argument where \(T(\cdot)\) must be evaluated

- T - matrix that will contain \(T(\lambda)\)

- P - [optional] different matrix to build the preconditioner

- ctx - [optional] user-defined context for private data for the function evaluation routine (may be `NULL`)

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetFunction()`

## Level

beginner

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages